<?PHP

/**************************************
    Webutler V3.1 - www.webutler.de
    Copyright (c) 2008 - 2015
    Autor: Sven Zinke
    Free for any use
    Lizenz: GPL
**************************************/

if(preg_match('#/modules/news/login.php#i', $_SERVER['REQUEST_URI']))
    exit('no access');

if(isset($_GET['logout']) && $_GET['logout'] == 1) {
	$auth = session_name("WEBUTLER");
    setcookie($auth, "", time()-100000, "/");
	session_destroy();
    
    header("Location: admin.php");
	exit;
}
elseif(isset($_POST['newslang'])) {
	$_SESSION['newslang'] = preg_replace("/[^a-z]/", "", $_POST['newslang']);
	
    header("Location: admin.php");
	exit;
}
elseif(isset($_POST['editorlogin'])) {
    include $webutlermodadmin->config['server_path'].'/includes/users/lang/'.$news_adminlang.'.php';
    
    $webutlermodadmin->checkantixpost();
	
	if(!$webutlermodadmin->loginattempts())
	{
		$news_loginattempts = str_replace('__TIME__', $webutlermodadmin->config['logattemptmin'], _NEWSLANGADMIN_LOGIN_ATTEMPTS_);
	}
	else
	{
		$pass = $webutlermodadmin->config['salt_key1'].trim($_POST['userpass']).$webutlermodadmin->config['salt_key2'];
		
		if(($_POST['username'] == $webutlermodadmin->config['user_name'] && md5($pass) == $webutlermodadmin->config['user_pass']) || 
		  ($_POST['username'] == $webutlermodadmin->config['admin_name'] && md5($pass) == $webutlermodadmin->config['admin_pass']))
		{
			session_regenerate_id();
			
			$_SESSION['loggedin']['username'] = md5($_POST['username']);
			$_SESSION['loggedin']['userpass'] = md5($pass);
			$_SESSION['loggedin']['editboxzustand'] = 'show';
			if($_SESSION['loggedin']['username'] == md5($webutlermodadmin->config['admin_name']) && 
			  $_SESSION['loggedin']['userpass'] == $webutlermodadmin->config['admin_pass']) {
				$_SESSION['loggedin']['userlang'] = $webutlermodadmin->config['admin_lang'];
				$_SESSION['loggedin']['userisadmin'] = '1';
			}
			else {
				$_SESSION['loggedin']['userlang'] = $webutlermodadmin->config['user_lang'];
				$_SESSION['loggedin']['userisowner'] = '1';
			}
			if(isset($_POST['editorlang']))
				$_SESSION['newslang'] = preg_replace("/[^a-z]/", "", $_POST['editorlang']);
			
			header("Location: admin.php");
			exit;
		}
		else {
			require_once $webutlermodadmin->config['server_path'].'/includes/users/user_class.php';
			$news_editorlogin = new UsersClass;
			$news_editorlogin->dbpath = $webutlermodadmin->config['server_path'].'/content/access';
			$news_editorlogin->postdata = $_POST;
			$news_editorlogin->login();
			
			if($news_editorlogin->meldung == '') {
				$_SESSION['userauth'] = $news_editorlogin->userauth;
				if($news_class->getsubeditorsgroup($_SESSION['userauth']['groupid'])) {
					$_SESSION['newslog'] = 'true';
					if(isset($_POST['editorlang']))
						$_SESSION['newslang'] = preg_replace("/[^a-z]/", "", $_POST['editorlang']);
					
					header("Location: admin.php");
					exit;
				}
				else {
					$news_editorlogin->meldung = _NEWSLANGADMIN_LOGIN_NOPERMISSION_;
				}
			}
		}
		unset($_POST);
		unset($news_editorlogin->postdata);
	}
}
else {
	if(isset($_SESSION['userauth']) && $_SESSION['userauth']['groupid'] != '' && $news_class->getsubeditorsgroup($_SESSION['userauth']['groupid']) && (!isset($_SESSION['newslog']) || $_SESSION['newslog'] != 'true')) {
	    $_SESSION['newslog'] = 'true';
	    header("Location: admin.php");
		exit;
	}
}

$news_langvars = $webutlermodadmin->getmodulesloginlang('news', $news_adminlang);

$modlog_antixpostcode = $webutlermodadmin->antixpostcode();
$_SESSION['antixpost'] = $modlog_antixpostcode;

?>
<!DOCTYPE html>
<html lang="<?PHP echo $news_adminlang; ?>">
<head>
<title><?PHP echo _NEWSLANGADMIN_MODNAME_.' - '._NEWSLANGADMIN_LOGIN_HEADER_; ?></title>
	<meta charset="UTF-8" />
	<meta http-equiv="imagetoolbar" content="no" />
	<meta name="robots" content="noindex,nofollow" />
	<link href="<?PHP echo $webutlermodadmin->config['homepage']; ?>/modules/news/admin/admin.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div style="padding: 30px">
	<h1 id="editorsloghead"><?PHP echo _NEWSLANGADMIN_MODNAME_.'<br /><br />'._NEWSLANGADMIN_LOGIN_HEADER_; ?></h1>
	<div id="editorslogin">
		<?PHP if(isset($news_loginattempts) || (isset($news_editorlogin) && $news_editorlogin->meldung != '') || count($news_langvars) >= 2) { ?>
		<table border="0" cellspacing="0" cellpadding="5" align="center">
		  <?PHP if(isset($news_editorlogin) && $news_editorlogin->meldung != '') { ?>
		  <tr>
			<td colspan="2" class="fehler"><?PHP echo $news_editorlogin->meldung; ?></td>
		  </tr>
		  <?PHP } ?>
		  <?PHP if(isset($news_loginattempts)) { ?>
		  <tr>
			<td colspan="2" class="fehler"><?PHP echo $news_loginattempts; ?></td>
		  </tr>
		  <?PHP } ?>
		  <?PHP
			if(is_array($news_langvars) && count($news_langvars) >= 2) {
			  	echo '<tr><td colspan="2" class="setlang">';
				echo '<form action="admin.php" method="post">';
				foreach($news_langvars as $langvar) {
					echo $langvar;
				}
				echo '</form>';
				echo '</td></tr>';
			}
		  ?>
		</table>
		<?PHP } ?>
		<form action="admin.php" method="post">
			<table border="0" cellspacing="0" cellpadding="5" align="center">
			  <tr>
				<td><?PHP echo _NEWSLANGADMIN_LOGIN_USERNAME_; ?></td>
				<td><input type="text" class="userinput" name="username" /></td>
			  </tr>
			  <tr>
				<td><?PHP echo _NEWSLANGADMIN_LOGIN_PASSWORD_; ?></td>
				<td><input type="password" class="userinput" name="userpass" /></td>
			  </tr>
			  <tr>
				<td></td>
				<td><input type="submit" class="userbutton" name="editorlogin" value="<?PHP echo _NEWSLANGADMIN_LOGIN_SUBMIT_; ?>" /></td>
			  </tr>
			</table>
			<input type="hidden" name="editorlang" value="<?PHP echo $news_adminlang; ?>" />
	        <input type="hidden" name="webutler_autokill" value="<?PHP echo md5($modlog_antixpostcode); ?>" />
		</form>
    </div>
</div>
</body>
</html>
